Subject: bug#33299: closed (Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 May 2019 18:22:02 +0000

Your bug report

#30993: shepherd: Service ssh-daemon could not be started.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30993: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30993
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 May 2019 14:21:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, May 14, 2019 at 03:33:59PM +0200, Ludovic Courtès wrote:
> There are reasons to believe that this issue is fixed by the Shepherd 0.6.1:
> 
>   https://issues.guix.info/issue/35550
> 
> Could you check somehow if the bug shows up again?

The bug disappeared for me a couple of reboots after reinstalling the
Guix System on my affected machine. That reinstallation provided
Shepherd 0.5, although 0.5 was also tested unsuccessfully before
reinstalling.

The issue does not manifest for me with Shepherd 0.6, 0.6.1 or Guix 1.0.

So... I think the bug was probably some kind of race condition or TOCTOU
problem that went away with a less fragmented or full filesystem (I was
really pushing the limits in that regard).

It's great that Shepherd 0.6.1 improved the PID file handling, assuming
that was the culprit.

I am closing this bug, but we can reopen it later if necessary.

Subject: shepherd: Service ssh-daemon could not be started.
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Wed, 7 Nov 2018 11:03:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

This morning I started my GuixSD VM as usual.

Openssh server was not running even though it was enabled and should 
have been respawned. Hmm.

Lucky for me SSH is not the only way into this system...

 From the host I got:

$ ssh  sdb@localhost -p10022
ssh_exchange_identification: read: Connection reset by peer

On the guest:

$ grep -3 "ssh-daemon could not /var/log/messages
Nov  7 07:19:30 localhost vmunix: [    0.366701] VFS: Dquot-cache hash 
table entries: 512 (order 0, 4096 bytes)
Nov  7 07:19:30 localhost vmunix: [    0.367764] AppArmor: AppArmor 
Filesystem Enabled
Nov  7 07:19:30 localhost vmunix: [    0.368569] pnp: PnP ACPI init
Nov  7 07:19:31 localhost shepherd[1]: Service ssh-daemon could not be 
started.
Nov  7 07:19:31 localhost vmunix: [    0.370291] pnp: PnP ACPI: found 6 
devices
Nov  7 07:19:31 localhost vmunix: [    0.378960] clocksource: acpi_pm: 
mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
Nov  7 07:19:31 localhost vmunix: [    0.380434] NET: Registered 
protocol family 2

Herd said:

$ cat sshd-stopped
Status of ssh-daemon:
   It is stopped.
   It is enabled.
   Provides (ssh-daemon).
   Requires (syslogd).
   Conflicts with ().
   Will be respawned.               <-- not true!

Starting it yielded:

$ cat sshd-start
Service ssh-daemon has been started.

How do I increase the verbosity of shepherd? I did not find anything 
about that in the shepherd manual 
<https://www.gnu.org/software/shepherd/manual/shepherd.html#Invoking-shepherd>.

Is there a way to debug further?

-- 
Cheers
Swedebugia
PS
$ guix --version
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76 (=0.15